Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		rosegarden
Version:	1.7.0
Release:	2
License:	GNU/GPL 
URL:		http://www.rosegardenmusic.com/
Group:		Multimedia
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is an audio and MIDI sequencer, score editor, and general-purpose music composition and editing environment.
Requires:	ladspa liblrdf dssi jack-audio-connection-kit liblo perl-XML-Twig lilypond
#BuildRequires:	scons 
BuildRequires:  ladspa-devel 
BuildRequires:  liblrdf-devel 
BuildRequires:  dssi-devel 
BuildRequires:  jack-audio-connection-kit-devel 
BuildRequires:  liblo-devel
BuildRequires:  kdelibs3-devel
BuildRequires:  libX11-devel
BuildRequires:  libXft-devel
BuildRequires:  libXrender-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  qt3-devel
BuildRequires:  libstdc++
BuildRequires:  perl


%description
%{name} is an audio and MIDI sequencer, score editor, and general-purpose music composition and editing environment.
It is an easy-to-learn, attractive application that runs on Linux. It is ideal for composers, musicians,
music students, and small studio or home recording environments.
For more details see: %{url}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
# locolor seems to be a KDE thing?
touch --no-create %{_datadir}/icons/locolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
touch --no-create %{_datadir}/icons/locolor || :

%prep
%setup -n %{name}-%{version}

%build
export LADSPA_PATH=/usr/lib/ladspa
export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
export CXXFLAGS=$CFLAGS
unset QTDIR || : ; . /etc/profile.d/qt.sh

%cmake . -DQT_INCLUDE_DIR=/usr/lib/qt-3.3/include
make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.7.0-2
- moved prefix
* Fri May 02 2008 Christian Metzen <metzench@ccux-linux.de> 1.7.0-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.1-1
- Version Update
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version Update
* Wed Oct 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.1-1
- Version Update
* Mon Sep 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version Update
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version Update
* Wed Jun 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- Version Update
* Sun Jul 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-3
- Tweaked specfile, removed wrong obsoletes tag
* Mon Jul 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0-2
- rebuilt against openssl 0.9.8, gcc 3.4.4
* Sun Mar 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.0-1
- Initial Release
